GETSID(P)

NAME
getsid - get the process group ID of a session leader

SYNOPSIS

#include <unistd.h>

pid_t getsid(pid_t pid);

DESCRIPTION

The getsid() function shall obtain the process group ID of the process that is the session leader of the process specified by pid. If pid is (pid_t)0, it specifies the calling process.

RETURN VALUE

Upon successful completion, getsid() shall return the process group ID of the session leader of the specified process. Otherwise, it shall return (pid_t)-1 and set errno to indicate the error.

ERRORS

The getsid() function shall fail if:

EPERM
    The process specified by pid is not in the same session as the calling process, and the implementation does not allow access to the process group ID of the session leader of that process from the calling process.

ESRCH
    There is no process with a process ID equal to pid.

The following sections are informative.

EXAMPLES

None.

APPLICATION USAGE

None.

RATIONALE

None.

FUTURE DIRECTIONS

None.

SEE ALSO

exec() , fork() , getpid() , getpgid() , setpgid() , setsid() , the Base Definitions volume of IEEE Std 1003.1-2001, <unistd.h>

COPYRIGHT
Portions of this text are reprinted and reproduced in electronic form from IEEE Std 1003.1, 2003 Edition, Standard for Information Technology -- Portable Operating System Interface (POSIX), The Open Group Base Specifications Issue 6, Copyright (C) 2001-2003 by the Institute of Electrical and Electronics Engineers, Inc and The Open Group. In the event of any discrepancy between this version and the original IEEE and The Open Group Standard, the original IEEE and The Open Group Standard is the referee document. The original Standard can be obtained online at http://www.opengroup.org/unix/online.html .